Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
dh_blocking_gen_arg Struct Reference

## Data Fields
DH * | dh
int | size
int | gen
BN_GENCB * | cb
int | result

## Detailed Description

Definition at line 81 of file ossl_pkey_dh.c.

## Field Documentation

## ◆ cb

BN_GENCB* dh_blocking_gen_arg::cb

Definition at line 85 of file ossl_pkey_dh.c.

## ◆ dh

DH* dh_blocking_gen_arg::dh

Definition at line 82 of file ossl_pkey_dh.c.

## ◆ gen

int dh_blocking_gen_arg::gen

Definition at line 84 of file ossl_pkey_dh.c.

## ◆ result

int dh_blocking_gen_arg::result

Definition at line 86 of file ossl_pkey_dh.c.

## ◆ size

int dh_blocking_gen_arg::size

Definition at line 83 of file ossl_pkey_dh.c.

The documentation for this struct was generated from the following file:

- ext/openssl/ossl_pkey_dh.c